/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CITEM__H
#define CITEM__H

typedef struct CItem_t CItem;
typedef struct CItem_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItem*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItem_t;

typedef struct CItemKevlar_t CItemKevlar;
typedef struct CItemKevlar_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItemKevlar*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItemKevlar_t;

typedef struct CItemBattery_t CItemBattery;
typedef struct CItemBattery_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItemBattery*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItemBattery_t;

typedef struct CItemAntidote_t CItemAntidote;
typedef struct CItemAntidote_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItemAntidote*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItemAntidote_t;

typedef struct CItemLongJump_t CItemLongJump;
typedef struct CItemLongJump_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItemLongJump*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItemLongJump_t;

typedef struct CItemSecurity_t CItemSecurity;
typedef struct CItemSecurity_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItemSecurity*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItemSecurity_t;

typedef struct CItemThighPack_t CItemThighPack;
typedef struct CItemThighPack_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItemThighPack*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItemThighPack_t;

typedef struct CItemAssaultSuit_t CItemAssaultSuit;
typedef struct CItemAssaultSuit_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItemAssaultSuit*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItemAssaultSuit_t;

typedef struct CItemSuit_t CItemSuit;
typedef struct CItemSuit_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CItemSuit*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CItemSuit_t;

typedef struct CHealthKit_t CHealthKit;
typedef struct CHealthKit_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CHealthKit*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	
} CHealthKit_t;

#endif

