/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CGIBSHOOTER__H
#define CGIBSHOOTER__H

typedef struct CGibShooter_t CGibShooter;
typedef struct CGibShooter_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CGibShooter*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	#include "./offsets_cgibshooter.h"

} CGibShooter_t;

typedef struct CEnvShooter_t CEnvShooter;
typedef struct CEnvShooter_s
{
	#include "./offsets_cbaseentity_linux.h"
	_vt_CEnvShooter*		vtable;
	#include "./offsets_cbaseentity_win32.h"
	#include "./offsets_cgibshooter.h"

} CEnvShooter_t;

#endif

